<?php
//+++
$SYS_FOC="Cod";
//++++++++++++
$LIMPIAR=0;
$LIMPIAR_DET=0;
//++++++++++++
$Cod=VU($_POST['Cod']);
$Partida=VU($_POST['Partida']);
$Des=VU($_POST['Des']);
$Mea=V($_POST['Mea']);//++
$Pre=VU($_POST['Pre']);
$UndP=VU($_POST['UndP']);
$Hab=VU($_POST['Hab']);
//++++
$Emp=VU($_POST['Emp']);
$InvFec=VU($_POST['InvFec']);
$InvSer=VU($_POST['InvSer']);
$InvNum=VU($_POST['InvNum']);
$InvIte=VU($_POST['InvIte']);
$PaiOri=VU($_POST['PaiOri']);
$PaiDes=VU($_POST['PaiDes']);
$Par=VU($_POST['Par']);
$NomCom=VU($_POST['NomCom']);
$Est=VU($_POST['Est']);
$FobUsd=VU($_POST['FobUsd']);
$FobKg=VU($_POST['FobKg']);
$Und=VU($_POST['Und']);
$Can=VU($_POST['Can']);
$Mod=VU($_POST['Mod']);
$Cla=VU($_POST['Cla']);
$Dua=VU($_POST['Dua']);
$DuaIte=VU($_POST['DuaIte']);
$Lnk=VU($_POST['Lnk']);
$Obs=VU($_POST['Obs']);
//+++
$LIMPIAR=0;
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("ges_productos","id_pro=$Id");
	$Cod=$r['pro_cod'];
	$Des=$r['pro_des'];
	$Mea=$r['pro_medidas'];
	$Pre=$r['pro_pu'];
	$Hab=$r['pro_hab'];
	$UndP=$r['pro_id_und'];
	$Partida=$r['pro_par'];
	$UndP=gs("und_abr","ges_unidades","id_und=".$UndP);
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
	$LIMPIAR_DET=1;
}
//
if($StrCmd=="ELI_REF"){
	$_REF_ID=vbval($_POST['TXT_AUX']);
	$s="DELETE FROM ges_productos_referencias WHERE id_ref=".$_REF_ID;
	ejt($s);
	$SYS_FOC="InvFec";
}
//
if($StrCmd=="ADD_REF"){
	$SYS_FEC=date("Y-m-d");
	$SYS_HOR=GetHoraAP();
	$SYS_TIM=time();
	//
	$_PRO=vbval($StrId);
	$_INV_FEC=ToDate($InvFec);
	$_INV_NUM=vbval($InvNum);
	$_INV_ITE=vbval($InvIte);
	$_FOB_USD=vbval($FobUsd);
	$_FOB_KG=vbval($FobKg);
	$_CAN=vbval($Can);
	$_DUA_ITE=vbval($DuaIte);
	//
	$Emp_=gn("id_emp","ges_empresas","emp_nom_cor='$Emp'");	
	//
	$ref_inv_id=0;
	$ref_inv_id_pro=0;
	$ref_inv_ok=0;
	//
	$ref_inv_id=gn("id_in","ges_invoice","in_inv_ser='".$InvSer."' AND in_inv_num_=".$_INV_NUM);
	if($ref_inv_id>0){
		$ref_inv_id_pro=gn("det_id_pro","ges_invoice_det","det_id_inv=$ref_inv_id AND det_cx=$_INV_ITE");
		if($ref_inv_id_pro==$_PRO){
			$ref_inv_ok=1;		
		}
	}
	//
	$XXX_UNIDAD="";
	//
	$_KOD=GenId("id_ref","ges_productos_referencias");
	$s="INSERT INTO ges_productos_referencias 
		VALUES ($_KOD,'$SYS_FEC',$SYS_TIM,'$SYS_HOR',
		$_PRO,$Emp_,'$_INV_FEC','$InvSer','$InvNum',
		$_INV_NUM,$_INV_ITE,'$PaiOri','$PaiDes','$Par',
		'$NomCom','$Est',$_FOB_USD,$_FOB_KG,'$Und',
		$_CAN,'$Mod','$Cla','$Dua',$_DUA_ITE,'$Lnk',
		'$Obs',0,$ref_inv_id,$ref_inv_id_pro,$ref_inv_ok,'','',0,0,'','MAN','$XXX_UNIDAD')";
	ejt($s);
	//echo "<br>".$s."<br>";
	$LIMPIAR_DET=1;
	$SYS_FOC="InvFec";
}
//
if($StrCmd=="G" || $StrCmd=="M"){
	$Pre_=vbval($Pre);
	$UndP_=gn("id_und","ges_unidades","und_abr='$UndP'");
}
//
if($StrCmd=="G"){	
	if(strlen($Cod)>0){
		if(gn("count(*)","ges_productos","pro_cod='$Cod' AND pro_hab='SI'")>0){
			$SYS_MSG="Codigo ya registrado";
			$OK=0;
		}
	}
	if(strlen($Cod)==0 && strlen($Des)>0){
		if(gn("count(*)","ges_productos","LENGTH(TRIM(pro_cod))=0 AND pro_des='$Des' AND pro_hab='SI'")>0){
			$SYS_MSG="Nombre o Descripcion ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		$Id=GenId("id_pro","ges_productos");
		$s="INSERT INTO ges_productos 
			VALUES ($Id,'$Cod','$Des',$Pre_,'$Hab',$UndP_,'$Mea','$Partida')";
		ejt($s);		
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PRODUCTOS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT++++++++++++++++				
		//$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//+++
if($StrCmd=="M"){
	if(strlen($Cod)>0){
		if(gn("count(*)","ges_productos",
			  "pro_cod='$Cod' AND pro_hab='SI' AND id_pro<>$StrId")>0){
			$SYS_MSG="Codigo ya registrado";
			$OK=0;
		}
	}
	if(strlen($Cod)==0 && strlen($Des)>0){
		if(gn("count(*)","ges_productos",
			  "LENGTH(TRIM(pro_cod))=0 AND pro_des='$Des' AND pro_hab='SI' AND id_pro<>$StrId")>0){
			$SYS_MSG="Nombre o Descripcion ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		$s="UPDATE ges_productos 
			SET 
			pro_cod='$Cod',
			pro_des='$Des',
			pro_pu=$Pre_,
			pro_hab='$Hab',pro_id_und=$UndP_,
			pro_medidas='$Mea',
			pro_par='$Partida' 
			WHERE id_pro=$StrId";
		ejt($s);	
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PRODUCTOS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT				
		//$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){
	$CX=gn("count(*)","ges_invoice_det","det_id_pro=$StrId");
	if($CX>0){		
		$SYS_MSG="El producto esta relacionado a uno o mas invoice";
		$OK=0;		
	}
	if($OK==1){
		$CX=gn("count(*)","ges_productos_referencias","id_pro=$StrId");
		if($CX>0){		
			$SYS_MSG="El producto esta relacionado a una o mas referencias";
			$OK=0;		
		}
	}
	if($OK==1){	
		$s="DELETE FROM ges_productos WHERE id_pro=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PRODUCTOS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		//$SYS_MSG="Datos eliminados";
		$LIMPIAR=1;	
	}
}
//+++++
if($LIMPIAR==1){
	$StrId="";
	$Cod="";
	$Des="";
	$Mea="";
	$Pre="";
	$Hab="";
	$UndP="";
	$Partida="";
}
//
if($LIMPIAR_DET==1){
	$InvFec="";
	$InvSer="";
	$InvNum="";
	$InvIte="";
	$PaiOri="";
	$PaiDes="";
	$Par="";
	$NomCom="";
	$Est="";
	$FobUsd="";
	$FobKg="";
	$Und="";
	$Can="";
	$Mod="";
	$Cla="";
	$Dua="";
	$DuaIte="";
	$Lnk="";
	$Obs="";
}

?>
